Author Topic: Upgraded round cube from 1.3.0 to latest 1.3.8  (Read 430 times)

Offline feronso

  • Newbie
  • *
  • Posts: 2
Upgraded round cube from 1.3.0 to latest 1.3.8
« on: March 07, 2019, 07:33:49 AM »
Hello,

After upgrading from 1.3.0 to the latest 1.3.8 stop shows all emails and database settings, upon checking logs file i found this lines

Code: [Select]
[07-Mar-2019 15:19:57 +0500]: <6s3n758u> DB Error: SQLSTATE[HY000] [2002] Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) (POST /?_task=mail&_action=refresh)

[07-Mar-2019 15:20:58 +0500]: <6s3n758u> DB Error: SQLSTATE[HY000] [2002] Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) in /home/roundcube/program/lib/Roundcube/rcube_db.php on line 175 (POST /?_task=mail&_action=refresh)

[07-Mar-2019 15:20:58 +0500]: <6s3n758u> DB Error: SQLSTATE[HY000] [2002] Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) (POST /?_task=mail&_action=refresh)

i have checked database and all settings are absolutely at its position, mysql is running fine. can anyone please help me to fix this as my emails in not shows when i login into roundcube.

Offline feronso

  • Newbie
  • *
  • Posts: 2
Re: Upgraded round cube from 1.3.0 to latest 1.3.8
« Reply #1 on: March 07, 2019, 08:27:17 AM »
Hello,

actually the issue what i am facing is "ERROR: Required program 'file' not found" i saw this error after upgrade success but i have not notice it and ignored it, but now in my case its the issue, as i already read this here https://github.com/roundcube/roundcubemail/issues/5579

but problem is when i try run this command i got the following:

[root@uk roundcube]# ./bin/install-jsdeps.sh
which: no file in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin)
ERROR: Required program 'file' not found


so anyone help me to install this dependencies ?

Offline alec

  • Hero Member
  • *****
  • Posts: 1,142
Re: Upgraded round cube from 1.3.0 to latest 1.3.8
« Reply #2 on: March 08, 2019, 01:43:43 AM »
apt-get install file.